2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Create new electric conduit

Prev Next
Post
/el_conduits/

Operation is used to create new electric conduit. Available from product version 3.2.2.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Body parameters

Electric Conduit to be created

object
cables
Array of string

Electric Cables in the conduit

string (url)
depth_class
integer

Electric Conduit depth class id

duct_count
integer

Electric Conduit duct count

ducts
Array of string

Electric Ducts in the conduit

string (url)
height_accuracy
integer

Height accuracy id

identification
string

Identification

length
number (float)

Electric Conduit length

location
string (ewkt)

Geographical location

location_accuracy
integer

Location accuracy id

mapper
string

mapper name

mapping_date
string (date-time)

mapping date

mapping_method
integer

Mapping method id

measure
integer

Electric Conduit measure id

network_area
integer

Network area id

plan
integer

Plan id

profile_status
integer

Electric Conduit profile status id

remarks
string

Remarks. Available from product version 3.2.14.

safety_distance
integer

Safety Distance id. Available from product version 3.6.4

survey_amount
integer

unknown

type
integer Required

Electric Conduit type id

usage_state
integer Required

Electric Conduit usage state id

width
number (float)

Electric Conduit width

Responses
201

A created Electric Conduit

{
  "cables": [],
  "creation_date": "2019-04-08T11:10:42.893Z",
  "creator": "api@keypro.fi",
  "depth_class": null,
  "duct_count": null,
  "ducts": [],
  "height_accuracy": null,
  "id": 51420,
  "identification": "ABC",
  "length": 106.65689386087129,
  "location": "SRID=3067;LINESTRING Z (459543.7256747800274752 6702833.1888885004445910 0.0000000000000000, 459649.5589509598794393 6702819.9597289999946952 0.0000000000000000)",
  "location_accuracy": null,
  "mapper": "",
  "mapping_date": null,
  "mapping_method": null,
  "measure": 305010,
  "network_area": null,
  "plan": null,
  "profile_status": null,
  "safety_distance": 2060123445,
  "survey_amount": "",
  "type": 430,
  "update_date": "2019-04-08T11:10:42.893Z",
  "updated_by": "api@keypro.fi",
  "usage_state": 710,
  "width": null
}
object
cables
Array of string

Electric Cables in the conduit

string (url)
creation_date
string (date-time)

Creation date and time

creator
string

creator

depth_class
integer

Electric Conduit depth class id

duct_count
integer

Electric Conduit duct count

ducts
Array of string

Electric Ducts in the conduit

string (url)
height_accuracy
integer

Height accuracy id

id
integer

Primary key

identification
string

Identification

length
number (float)

Electric Conduit length

location
string (ewkt)

Geographical location

location_accuracy
integer

Location accuracy id

mapper
string

mapper name

mapping_date
string (date-time)

mapping date

mapping_method
integer

Mapping method id

measure
integer

Electric Conduit measure id

network_area
integer

Network area id

plan
integer

Plan id

profile_status
integer

Electric Conduit profile status id

remarks
string

Remarks. Available from product version 3.2.14.

safety_distance
integer

Safety Distance id. Available from product version 3.6.4

survey_amount
integer

unknown

type
integer

Electric Conduit type id

update_date
string (date-time)

Last update date time

updated_by
string

Last updater

usage_state
integer

Electric Conduit usage state id

width
number (float)

Electric Conduit width

400

There was an error in request. Usually field validation failed.

{
  "type": [
    "This field is required."
  ],
  "usage_state": [
    "This field is required."
  ]
}
object

Fields which failed validation

property*
Array of string additionalProperties

List of validation errors for this fieldname

string

Validation error

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error